package SWHtmlEntryFormMb;

#----------------------------------------
# エントリーフォームの出力
#----------------------------------------
sub OutHTMLEntryFormMb {
	my ($sow, $vil) = @_;
	my $cfg   = $sow->{'cfg'};
	my $query = $sow->{'query'};
	my $pllist = $vil->getpllist();
	require "$sow->{'cfg'}->{'DIR_LIB'}/setrole.pl";

	# キャラセットの読み込み
	my @csidkey = split('/', "$vil->{'csid'}/");
	foreach (@csidkey) {
		$sow->{'charsets'}->loadchrrs($_);
	}

	$sow->{'html'} = SWHtml->new($sow); # HTMLモードの初期化
	my $outhttp = $sow->{'http'}->outheader(); # HTTPヘッダの出力
	return if ($outhttp == 0); # ヘッダ出力のみ
	$sow->{'html'}->outheader("$sow->{'query'}->{'vid'} $vil->{'vname'}"); # HTMLヘッダの出力

	my $net    = $sow->{'html'}->{'net'}; # Null End Tag
	my $option = $sow->{'html'}->{'option'};

	my $reqvals = &SWBase::GetRequestValues($sow);
	my $link = &SWBase::GetLinkValues($sow, $reqvals);
	$link = "$cfg->{'BASEDIR_CGI'}/$cfg->{'FILE_SOW'}?$link";
	my $hidden = &SWBase::GetHiddenValues($sow, $reqvals, '');

	print <<"_HTML_";
<a name="say">$sow->{'query'}->{'vid'} $vil->{'vname'}</a><br$net>
<a href="$link" accesskey="4">戻る</a>/<a href="#action" accesskey="6">ACT</a>/<a href="#role" accesskey="8">能\力</a><br$net>
<hr$net>
_HTML_

	print <<"_HTML_";
<form action="$cfg->{'BASEDIR_CGI'}/$cfg->{'FILE_SOW'}" method="$cfg->{'METHOD_FORM_MB'}">
<select name="csid_cid">
_HTML_

	# 参加済みのキャラをチェック
	my %csid_cid;
	foreach (@$pllist) {
		$csid_cid{"$_->{'csid'}/$_->{'cid'}"} = 1;
	}

	# 希望する配役の表示
	my $csid_val;
	foreach $csid_val (@csidkey) {
		my $charset = $sow->{'charsets'}->{'csid'}->{$csid_val};
		my $chrorder = $charset->{'ORDER'};
		foreach (@$chrorder) {
			next if (defined($csid_cid{"$csid_val/$_"})); # 参加済みのキャラは除外
			my $chrname = $sow->{'charsets'}->getchrname($csid_val, $_);
			print "      <option value=\"$csid_val/$_\">$chrname$sow->{'html'}->{'option'}\n";
		}
	}

	# テキストボックスと発言ボタン
	my $buttonlabel = 'この村に参加';

	print <<"_HTML_";
</select><br$net>

<textarea name="mes" rows="3" istyle="1"></textarea><br$net>
<input type="hidden" name="cmd" value="entrypr"$net>$hidden
<input type="submit" value="$buttonlabel"$net>
_HTML_

	print "<input type=\"checkbox\" name=\"monospace\" value=\"on\"$net>等幅\n";

	print <<"_HTML_";
</form>
<hr$net>

<a href="$link">戻る</a>/<a href="#say" accesskey="2">発言</a>/<a href="#action">ACT</a>
_HTML_

	$sow->{'html'}->outfooter(); # HTMLフッタの出力
	$sow->{'http'}->outfooter();

	return;
}

1;